use app::App;
use winit::event_loop::{ControlFlow, EventLoop};

pub mod app;
pub mod camera;
pub mod controller;
pub mod spotlight;
pub mod state;
pub mod texture;
pub mod vertex;

pub fn capture() -> anyhow::Result<()> {
	let event_loop = EventLoop::new()?;
	event_loop.set_control_flow(ControlFlow::Poll);

	let mut app = App::default();

	Ok(event_loop.run_app(&mut app)?)
}
